# subsidy_gui.cpp File Reference

GUI for subsidies. More...

`#include "stdafx.h"`
`#include "industry.h"`
`#include "town.h"`
`#include "window_gui.h"`
`#include "strings_func.h"`
`#include "date_func.h"`
`#include "viewport_func.h"`
`#include "gfx_func.h"`
`#include "gui.h"`
`#include "subsidy_func.h"`
`#include "subsidy_base.h"`
`#include "core/geometry_func.hpp"`
`#include "table/strings.h"`

Go to the source code of this file.

## Data Structures
struct | SubsidyListWindow
## Enumerations
enum | SubsidyListWidgets { SLW_PANEL, SLW_SCROLLBAR }
| Widget numbers for the subsidy list window. More...
## Functions
void | ShowSubsidiesList ()
## Variables
static const NWidgetPart | _nested_subsidies_list_widgets []
static const WindowDesc | _subsidies_list_desc (WDP_AUTO, 500, 127, WC_SUBSIDIES_LIST, WC_NONE, 0, _nested_subsidies_list_widgets, lengthof(_nested_subsidies_list_widgets))

## Detailed Description

GUI for subsidies.

Definition in file subsidy_gui.cpp.

## Enumeration Type Documentation

enum SubsidyListWidgets

Widget numbers for the subsidy list window.

Definition at line 28 of file subsidy_gui.cpp.

## Variable Documentation

const NWidgetPart _nested_subsidies_list_widgets[]`[static]`

Initial value:

     {
      NWidget(NWID_HORIZONTAL),
        NWidget(WWT_CLOSEBOX, COLOUR_BROWN),
        NWidget(WWT_CAPTION, COLOUR_BROWN), SetDataTip(STR_SUBSIDIES_CAPTION, STR_TOOLTIP_WINDOW_TITLE_DRAG_THIS),
        NWidget(WWT_SHADEBOX, COLOUR_BROWN),
        NWidget(WWT_STICKYBOX, COLOUR_BROWN),
      EndContainer(),
      NWidget(NWID_HORIZONTAL),
        NWidget(WWT_PANEL, COLOUR_BROWN, SLW_PANEL), SetDataTip(0x0, STR_SUBSIDIES_TOOLTIP_CLICK_ON_SERVICE_TO_CENTER), SetResize(1, 1), EndContainer(),
        NWidget(NWID_VERTICAL),
          NWidget(WWT_SCROLLBAR, COLOUR_BROWN, SLW_SCROLLBAR),
          NWidget(WWT_RESIZEBOX, COLOUR_BROWN),
        EndContainer(),
      EndContainer(),
    }

Definition at line 229 of file subsidy_gui.cpp.